### Method

# Gimp Image list_layers

since: 3.0

#### Declaration [src]

    GList*
    gimp_image_list_layers (
      GimpImage* image
    )

#### Description [src]

Returns the list of layers contained in the specified image.

This procedure returns the list of layers contained in the specified image. The order of layers is from topmost to bottommost.

Available since: 3.0

This method is not directly available to language bindings.

#### Return value

Type: A list of `None`

         The list of layers contained in the image.
         The returned list must be freed with g_list_free(). Layer
         elements belong to libgimp and must not be freed.

The caller of the method takes ownership of the returned data container, but not the data inside it.